Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 14711)
@@ -35,5 +35,5 @@
 
   [Item("Hive Task", "Represents a hive task.")]
-  [StorableClass("967DC1A1-7B0C-4D8B-AF9F-710B1FD676DF")]
+  [StorableType("967DC1A1-7B0C-4D8B-AF9F-710B1FD676DF")]
   public class HiveTask : NamedItem, IItemTree<HiveTask>, IDisposable {
     protected static object locker = new object();
@@ -541,5 +541,5 @@
 
   [Item("Hive Task", "Represents a hive task.")]
-  [StorableClass("04AD6AF8-8248-48FB-AF3A-403A2D22F725")]
+  [StorableType("04AD6AF8-8248-48FB-AF3A-403A2D22F725")]
   public class HiveTask<T> : HiveTask where T : ItemTask {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Settings.settings
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Settings.settings	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Settings.settings	(revision 14711)
@@ -3,23 +3,23 @@
   <Profiles />
   <Settings>
-    <Setting Name="MaxParallelUploads" Type="System.Int32" Scope="Application">
+    <Setting Name="MaxParallelUploads" MemberSelection="System.Int32" Scope="Application">
       <Value Profile="(Default)">2</Value>
     </Setting>
-    <Setting Name="HLBinaryName" Type="System.String" Scope="Application">
+    <Setting Name="HLBinaryName" MemberSelection="System.String" Scope="Application">
       <Value Profile="(Default)">HeuristicLab 3.3.exe</Value>
     </Setting>
-    <Setting Name="ResultPollingInterval" Type="System.TimeSpan" Scope="Application">
+    <Setting Name="ResultPollingInterval" MemberSelection="System.TimeSpan" Scope="Application">
       <Value Profile="(Default)">00:00:20</Value>
     </Setting>
-    <Setting Name="MaxParallelDownloads" Type="System.Int32" Scope="Application">
+    <Setting Name="MaxParallelDownloads" MemberSelection="System.Int32" Scope="Application">
       <Value Profile="(Default)">2</Value>
     </Setting>
-    <Setting Name="MaxRepeatServiceCalls" Type="System.Int32" Scope="Application">
+    <Setting Name="MaxRepeatServiceCalls" MemberSelection="System.Int32" Scope="Application">
       <Value Profile="(Default)">5</Value>
     </Setting>
-    <Setting Name="AnonymousUserName" Type="System.String" Scope="Application">
+    <Setting Name="AnonymousUserName" MemberSelection="System.String" Scope="Application">
       <Value Profile="(Default)">anonymous</Value>
     </Setting>
-    <Setting Name="EndpointConfigurationPriorities" Type="System.Collections.Specialized.StringCollection" Scope="Application">
+    <Setting Name="EndpointConfigurationPriorities" MemberSelection="System.Collections.Specialized.StringCollection" Scope="Application">
       <Value Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
 &lt;ArrayOfString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
@@ -28,5 +28,5 @@
 &lt;/ArrayOfString&gt;</Value>
     </Setting>
-    <Setting Name="MaxEndpointRetries" Type="System.Int32" Scope="Application">
+    <Setting Name="MaxEndpointRetries" MemberSelection="System.Int32" Scope="Application">
       <Value Profile="(Default)">3</Value>
     </Setting>
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass("ED082FB8-76ED-4A77-97B6-ACB7D566435F")]
+  [StorableType("ED082FB8-76ED-4A77-97B6-ACB7D566435F")]
   public class StateLogList : ItemList<StateLog> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass("2EFC5B92-9976-42CE-812E-8155183D182A")]
+  [StorableType("2EFC5B92-9976-42CE-812E-8155183D182A")]
   public class StateLogListList : ItemList<StateLogList> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass("EBCB0A8C-B00C-43DD-A38E-E4E12168ABA2")]
+  [StorableType("EBCB0A8C-B00C-43DD-A38E-E4E12168ABA2")]
   public class EngineTask : ItemTask {
     public override HiveTask CreateHiveTask() {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Clients.Hive {
   [Item("Item Task", "Represents a executable hive task which contains a HeuristicLab Item.")]
-  [StorableClass("1E1F34FE-F580-4968-8C3F-918A22FDC8DC")]
+  [StorableType("1E1F34FE-F580-4968-8C3F-918A22FDC8DC")]
   public abstract class ItemTask : NamedItem, ITask {
     public virtual HiveTask CreateHiveTask() {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.Hive.Jobs {
   [Item("Optimizer Task", "Represents Task which executes a IOptimizer object.")]
-  [StorableClass("52EFD5D9-936F-42C0-8ACE-548AC06A0855")]
+  [StorableType("52EFD5D9-936F-42C0-8ACE-548AC06A0855")]
   public class OptimizerTask : ItemTask {
     public override HiveTask CreateHiveTask() {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/app.config
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/app.config	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/app.config	(revision 14711)
@@ -2,6 +2,6 @@
 <configuration>
   <configSections>
-    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-      <section name="HeuristicLab.Clients.Hive.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
+    <sectionGroup name="applicationSettings" memberSelection="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Clients.Hive.Settings" memberSelection="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
     </sectionGroup>
   </configSections>
@@ -53,6 +53,6 @@
           <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false"/>
           <security mode="Message">
-            <transport clientCredentialType="Windows" proxyCredentialType="None" realm=""/>
-            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default"/>
+            <transport clientCredentialMemberSelection="Windows" proxyCredentialMemberSelection="None" realm=""/>
+            <message clientCredentialMemberSelection="UserName" negotiateServiceCredential="true" algorithmSuite="Default"/>
           </security>
         </binding>
@@ -63,6 +63,6 @@
           <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false"/>
           <security mode="TransportWithMessageCredential">
-            <transport clientCredentialType="Windows"/>
-            <message clientCredentialType="UserName" algorithmSuite="Default"/>
+            <transport clientCredentialMemberSelection="Windows"/>
+            <message clientCredentialMemberSelection="UserName" algorithmSuite="Default"/>
           </security>
         </binding>
